Page MenuHomePhabricator

Developer Hub contribution process
Closed, ResolvedPublic

Description

The Developer Hub contribution process depends on the final selection of a platform and a related workflow. Still, we can agree and document two important areas in the short term:

  • Desired workflow, answering to key questions like who can contribute and how, is there moderation and how.
  • Contribution process for the prototype, starting with the basic question "how can Sumana edit"?

Details

Reference
fl483

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:43 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl483.
Dzahn added a subscriber: Dzahn.Jan 27 2015, 7:59 AM

Does this mean how people can edit HTML files on dev.wikimedia.org ? I would expect it to simply be another Gerrit project/git repo that is deployed to the appservers on the cluster, so the answer to the workflow questions would be "just like any other code".

Qgil added a subscriber: Qgil.Jan 28 2015, 6:07 PM

If we go for the setup proposed at T312#998615, we could start with something as simple as

  • Autoconfirmed users for the MediaWiki based docs.
  • Usual code review for the source code documentation.
Qgil lowered the priority of this task from Normal to Low.Feb 4 2015, 8:50 AM

We have decided to prioritize the creation of some actual content under the existing API: namespace in mediawiki.org.

Spage closed this task as Resolved.Mar 23 2015, 7:53 PM
Spage claimed this task.
Spage added a subscriber: Spage.

I believe https://www.mediawiki.org/wiki/Dev.wikimedia.org/Contributing explains this, so closing.

In T304#1013907, @Qgil wrote:

We have decided to prioritize the creation of some actual content under the existing API: namespace in mediawiki.org.

That document also links to Continuous integration/Documentation generation which now explains how to update doc.wikimedia.org's "static" content.